#
#       fhist - file history and comparison tools
#       Copyright (C) 2006, 2008 Peter Miller
#
#       This program is free software; you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation; either version 3 of the License, or
#       (at your option) any later version.
#
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#       GNU General Public License for more details.
#
#       You should have received a copy of the GNU General Public License
#       along with this program. If not, see
#       <http://www.gnu.org/licenses/>.
#

/*
 * This file define some variables specific to *your* site.
 */
project_specific =
[
        /*
         * Define the following attribute if you need to override the
         * default autoconf name, or if it is in an unusual (not in
         * $PATH) directory.
         */
        {
                name = "autoconf";
                value = "";
        },

        /*
         * Define the following attribute if you need to override the
         * default autoheader name, or if it is in an unusual (not in
         * $PATH) directory.
         */
        {
                name = "autoheader";
                value = "";
        },

        /*
         * Define the following attribute if you want to override the
         * c compiler for the solaris 5.8 architecture.
         */
        {
                name = "sun4-SunOS-5.8_cc";
                value = "";
        },
        {
                name = "sun4-SunOS-5.8_cc_flags";
                value = "-I/usr/local/include/libxml2";
        },
        {
                name = "sun4-SunOS-5.8_ld_flags";
                value = "-L/usr/local/lib";
        },
        {
                name = "sun4-SunOS-5.8_libs";
                value = "-liconv";
        },

        /*
         * Define the following attribute if you want to override the
         * c compiler for the linux 2.4 architecture.
         */
        {
                name = "i686-Linux-2.4_cc";
                value = "";
        },
        {
                name = "i686-Linux-2.4_cc_flags";
                value = "-I/usr/local/include/libxml2";
        },
        {
                name = "i686-Linux-2.4_ld_flags";
                value = "-L/usr/local/lib%-Wl,-rpath,/usr/local/lib";
        },
        {
                name = "i686-Linux-2.4_libs";
                value = "";
        },

        /*
         * Define the following attribute if you want to override the
         * c compiler for the linux 2.6 architecture.
         */
        {
                name = "i686-Linux-2.6_cc";
                value = "";
        },
        {
                name = "i686-Linux-2.6_cc_flags";
                value = "-I/usr/include/libxml2";
        },
        {
                name = "i686-Linux-2.6_ld_flags";
                value = "";
        },
        {
                name = "i686-Linux-2.6_libs";
                value = "";
        },

        /*
         * Define the following attributes if you want to override the
         * c compiler for the ppc-Darwin architecture.
         */
        {
                name = "ppc-Darwin-8.x_cc";
                value = "";
        },
        {
                name = "ppc-Darwin-8.x_cc_flags";
                value = "";
        },
        {
                name = "ppc-Darwin-8.x_ld_flags";
                value = "-L/usr/local/lib%-lintl";
        },
        {
                name = "ppc-Darwin-8.x_libs";
                value = "-lintl";
        },

        /*
         * Define the following attribute if you want to override the
         * c compiler for the mips architecture.
         */
        {
                name = "mips-IRIX64-6.5_cc";
                value = "";
        },
        {
                name = "mips-IRIX64-6.5_cc_flags";
                value = "-I/usr/local/include/libxml2";
        },
        {
                name = "mips-IRIX64-6.5_ld_flags";
value = "-Wl,-L/usr/local/lib,-LD_MSG:woff=84:woff=127,-rpath,/usr/local/lib";
        },
        {
                name = "mips-IRIX64-6.5_libs";
                value = "-liconv";
        },

        /*
         * Define the following attribute if you want to suggest which
         * c compiler to use to configure.
         */
        {
                name = "cc";
                value = "";
        }
];
